## gst-libav1.0 1.0.10

=== gst-libs/ext/libav/libavcodec/x86/Makefile ===
OBJS-$(CONFIG_MLP_DECODER)             += x86/mlpdsp.o
OBJS-$(CONFIG_TRUEHD_DECODER)          += x86/mlpdsp.o

YASM-OBJS-$(CONFIG_DCT)                += x86/dct32_sse.o

YASM-OBJS-FFT-$(HAVE_AMD3DNOW)         += x86/fft_3dn.o
YASM-OBJS-FFT-$(HAVE_AMD3DNOWEXT)      += x86/fft_3dn2.o
YASM-OBJS-FFT-$(HAVE_SSE)              += x86/fft_sse.o
YASM-OBJS-$(CONFIG_FFT)                += x86/fft_mmx.o                 \
                                          $(YASM-OBJS-FFT-yes)

YASM-OBJS-$(CONFIG_H264CHROMA)         += x86/h264_chromamc.o           \
                                          x86/h264_chromamc_10bit.o

MMX-OBJS-$(CONFIG_H264DSP)             += x86/h264dsp_mmx.o
YASM-OBJS-$(CONFIG_H264DSP)            += x86/h264_deblock.o            \
                                          x86/h264_deblock_10bit.o      \
                                          x86/h264_idct.o               \
                                          x86/h264_idct_10bit.o         \
                                          x86/h264_weight.o             \
                                          x86/h264_weight_10bit.o       \

YASM-OBJS-$(CONFIG_H264PRED)           += x86/h264_intrapred.o          \
                                          x86/h264_intrapred_10bit.o
MMX-OBJS-$(CONFIG_H264PRED)            += x86/h264_intrapred_init.o

MMX-OBJS-$(CONFIG_RV30_DECODER)        += x86/rv34dsp_init.o
YASM-OBJS-$(CONFIG_RV30_DECODER)       += x86/rv34dsp.o
MMX-OBJS-$(CONFIG_RV40_DECODER)        += x86/rv34dsp_init.o            \
                                          x86/rv40dsp.o
YASM-OBJS-$(CONFIG_RV40_DECODER)       += x86/rv34dsp.o

YASM-OBJS-$(CONFIG_VC1_DECODER)        += x86/vc1dsp_yasm.o

MMX-OBJS-$(CONFIG_AC3DSP)              += x86/ac3dsp_mmx.o
YASM-OBJS-$(CONFIG_AC3DSP)             += x86/ac3dsp.o
MMX-OBJS-$(CONFIG_CAVS_DECODER)        += x86/cavsdsp_mmx.o
MMX-OBJS-$(CONFIG_DNXHD_ENCODER)       += x86/dnxhd_mmx.o
MMX-OBJS-$(CONFIG_MPEGAUDIODSP)        += x86/mpegaudiodec_mmx.o
YASM-OBJS-$(CONFIG_MPEGAUDIODSP)       += x86/imdct36_sse.o
MMX-OBJS-$(CONFIG_ENCODERS)            += x86/dsputilenc_mmx.o
YASM-OBJS-$(CONFIG_ENCODERS)           += x86/dsputilenc_yasm.o
MMX-OBJS-$(CONFIG_GPL)                 += x86/idct_mmx.o
MMX-OBJS-$(CONFIG_LPC)                 += x86/lpc_mmx.o
YASM-OBJS-$(CONFIG_PRORES_DECODER)     += x86/proresdsp.o
MMX-OBJS-$(CONFIG_PRORES_DECODER)      += x86/proresdsp-init.o
MMX-OBJS-$(CONFIG_DWT)                 += x86/snowdsp_mmx.o
MMX-OBJS-$(CONFIG_VC1_DECODER)         += x86/vc1dsp_mmx.o
YASM-OBJS-$(CONFIG_VP3_DECODER)        += x86/vp3dsp.o
YASM-OBJS-$(CONFIG_VP5_DECODER)        += x86/vp3dsp.o
MMX-OBJS-$(CONFIG_VP5_DECODER)         += x86/vp56dsp_init.o
YASM-OBJS-$(CONFIG_VP6_DECODER)        += x86/vp3dsp.o                  \
                                          x86/vp56dsp.o
MMX-OBJS-$(CONFIG_VP6_DECODER)         += x86/vp56dsp_init.o
YASM-OBJS-$(CONFIG_VP8_DECODER)        += x86/vp8dsp.o
MMX-OBJS-$(CONFIG_VP8_DECODER)         += x86/vp8dsp-init.o
MMX-OBJS-$(HAVE_YASM)                  += x86/dsputil_yasm.o            \
                                          x86/deinterlace.o             \
                                          x86/fmtconvert.o              \
                                          x86/h264_qpel_10bit.o         \
                                          $(YASM-OBJS-yes)

MMX-OBJS-$(CONFIG_FFT)                 += x86/fft.o

OBJS-$(HAVE_MMX)                       += x86/dsputil_mmx.o             \
                                          x86/fdct_mmx.o                \
                                          x86/fmtconvert_mmx.o          \
                                          x86/idct_mmx_xvid.o           \
                                          x86/idct_sse2_xvid.o          \
                                          x86/motion_est_mmx.o          \
                                          x86/mpegvideo_mmx.o           \
                                          x86/simple_idct_mmx.o         \

=== debian/changelog ===
gst-libav1.0 (1.0.10-1ubuntu1) saucy; urgency=low

  * Lower libav BDs back to 4:0.7 to build with our Saucy version.
  * Remove debian/patches/03_git_2013-04-26, added to provide compatibility
    with new libav.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 06 Sep 2013 08:54:13 +0000

gst-libav1.0 (1.0.10-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/03_git-2013-04-26.patch,
    debian/control:
    + Make it compile with libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 11:01:38 +0200

gst-libav1.0 (1.0.9-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Aug 2013 10:55:58 +0200

## gst-libav1.0 1.1.3

=== gst-libs/ext/libav/libavcodec/sh4/Makefile ===
OBJS += sh4/dsputil_align.o                                             \
        sh4/dsputil_sh4.o                                               \
        sh4/idct_sh4.o                                                  \

## gst-libav1.0 1.2.1

=== debian/changelog ===
gst-libav1.0 (1.2.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Add Vcs-* and Homepage fields to debian/control.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 17:13:18 +0100

gst-libav1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.2.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 17:07:00 +0200

gst-libav1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.90.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:56:59 +0200

gst-libav1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 13:10:49 +0200

gst-libav1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 09:00:15 +0200

gst-libav1.0 (1.1.2-1) experimental; urgency=low

  * debian/control,
    debian/README.Debian,
    debian/watch:
    + Replace all occurences of ffmpeg with libav (Closes: #707216).
  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.2.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 May 2013 11:55:06 +0200

gst-libav1.0 (1.0.7-2) experimental; urgency=low

  * Upload of new version using libav 9.
  * debian/patches/03_git-2013-04-26.patch:
    + Update patch.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 15:09:18 +0200

gst-libav1.0 (1.0.6-2) experimental; urgency=low

  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 19:23:35 +0100

gst-libav1.0 (1.0.5-2) experimental; urgency=low

  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 14:01:12 +0100

gst-libav1.0 (1.0.4-2) experimental; urgency=low

  * debian/patches/02_plugin-dependencies.patch:
    + Update for new libav sonames.
  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Dec 2012 12:01:15 +0100

gst-libav1.0 (1.0.3-2) experimental; urgency=low

  * debian/control,
    debian/patches/03_git-2012-12-18.patch:
    + Port to libav 9 API.
    + Backport all GIT changes up to today.
  * debian/patches/04_gstreamer-1.0.patch:
    + Don't use features new since GStreamer 1.1.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Dec 2012 11:41:55 +0100

=== debian/control ===
Source: gst-libav1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93),
               dpkg-dev (>= 1.16.1~),
               autotools-dev,
               dh-autoreconf,
               autoconf (>= 2.62),
               automake (>= 1.11),
               libtool (>= 2.2.6),
               autopoint (>= 0.17),
               gtk-doc-tools (>= 1.12),
               zlib1g-dev,
               libglib2.0-dev (>= 2.32),
               pkg-config (>= 0.11.0),
               libgstreamer1.0-dev (>= 1.2.0),
               libgstreamer-plugins-base1.0-dev (>= 1.2.0),
               liborc-0.4-dev (>= 1:0.4.16),
               libavcodec-dev (>= 6:9~beta2),
               libavformat-dev (>= 6:9~beta2),
               libswscale-dev (>= 6:9~beta2),
               libbz2-dev,
               yasm
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-libav1.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-libav1.0.git;a=summary
Homepage: http://gstreamer.freedesktop.org/modules/gst-libav.html

Package: gstreamer1.0-libav
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: libav plugin for GStreamer
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the libav library.  The plugin contains GStreamer
 elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.libav.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-libav.html

Package: gstreamer1.0-libav-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-libav (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: libav plugin for GStreamer (debug symbols)
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the libav library.  The plugin contains GStreamer
 elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.libav.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-libav.html
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

## gst-libav1.0 1.2.2

=== gst-libs/ext/libav/libavcodec/Makefile ===
NAME = avcodec
FFLIBS = avutil

HEADERS = avcodec.h                                                     \
          avfft.h                                                       \
          dxva2.h                                                       \
          old_codec_ids.h                                               \
          vaapi.h                                                       \
          vda.h                                                         \
          vdpau.h                                                       \
          version.h                                                     \
          xvmc.h                                                        \

OBJS = allcodecs.o                                                      \
       audioconvert.o                                                   \
       avpacket.o                                                       \
       avpicture.o                                                      \
       bitstream.o                                                      \
       bitstream_filter.o                                               \
       codec_desc.o                                                     \
       dsputil.o                                                        \
       faanidct.o                                                       \
       fmtconvert.o                                                     \
       imgconvert.o                                                     \
       jrevdct.o                                                        \
       log2_tab.o                                                       \
       mathtables.o                                                     \
       options.o                                                        \
       parser.o                                                         \
       raw.o                                                            \
       resample.o                                                       \
       resample2.o                                                      \
       simple_idct.o                                                    \
       utils.o                                                          \

# parts needed for many different codecs
OBJS-$(CONFIG_AANDCTTABLES)            += aandcttab.o
OBJS-$(CONFIG_AC3DSP)                  += ac3dsp.o
OBJS-$(CONFIG_AUDIO_FRAME_QUEUE)       += audio_frame_queue.o
OBJS-$(CONFIG_DCT)                     += dct.o dct32_fixed.o dct32_float.o
OBJS-$(CONFIG_DWT)                     += dwt.o
OBJS-$(CONFIG_DXVA2)                   += dxva2.o
OBJS-$(CONFIG_ENCODERS)                += faandct.o jfdctfst.o jfdctint.o
OBJS-$(CONFIG_ERROR_RESILIENCE)        += error_resilience.o
FFT-OBJS-$(CONFIG_HARDCODED_TABLES)    += cos_tables.o cos_fixed_tables.o
OBJS-$(CONFIG_FFT)                     += avfft.o fft_fixed.o fft_float.o \
                                          $(FFT-OBJS-yes)
OBJS-$(CONFIG_GOLOMB)                  += golomb.o
OBJS-$(CONFIG_H264DSP)                 += h264dsp.o h264idct.o
OBJS-$(CONFIG_H264PRED)                += h264pred.o
OBJS-$(CONFIG_HUFFMAN)                 += huffman.o
OBJS-$(CONFIG_LIBXVID)                 += libxvid_rc.o
OBJS-$(CONFIG_LPC)                     += lpc.o
OBJS-$(CONFIG_LSP)                     += lsp.o
OBJS-$(CONFIG_MDCT)                    += mdct_fixed.o mdct_float.o
OBJS-$(CONFIG_MPEGAUDIO)               += mpegaudio.o mpegaudiodata.o   \
                                          mpegaudiodecheader.o
OBJS-$(CONFIG_MPEGAUDIODSP)            += mpegaudiodsp.o                \
                                          mpegaudiodsp_data.o           \
                                          mpegaudiodsp_fixed.o          \
                                          mpegaudiodsp_float.o
OBJS-$(CONFIG_MPEGVIDEO)               += mpegvideo.o mpegvideo_motion.o
OBJS-$(CONFIG_MPEGVIDEOENC)            += mpegvideo_enc.o mpeg12data.o  \
                                          motion_est.o ratecontrol.o
OBJS-$(CONFIG_RANGECODER)              += rangecoder.o
RDFT-OBJS-$(CONFIG_HARDCODED_TABLES)   += sin_tables.o
OBJS-$(CONFIG_RDFT)                    += rdft.o $(RDFT-OBJS-yes)
OBJS-$(CONFIG_SINEWIN)                 += sinewin.o
OBJS-$(CONFIG_VAAPI)                   += vaapi.o
OBJS-$(CONFIG_VDPAU)                   += vdpau.o
OBJS-$(CONFIG_VIDEODSP)                += videodsp.o
OBJS-$(CONFIG_VP3DSP)                  += vp3dsp.o

# decoders/encoders/hardware accelerators
OBJS-$(CONFIG_A64MULTI_ENCODER)        += a64multienc.o elbg.o
OBJS-$(CONFIG_A64MULTI5_ENCODER)       += a64multienc.o elbg.o
OBJS-$(CONFIG_AAC_DECODER)             += aacdec.o aactab.o aacsbr.o aacps.o \
                                          aacadtsdec.o mpeg4audio.o kbdwin.o \
                                          sbrdsp.o aacpsdsp.o
OBJS-$(CONFIG_AAC_ENCODER)             += aacenc.o aaccoder.o    \
                                          aacpsy.o aactab.o      \
                                          psymodel.o iirfilter.o \
                                          mpeg4audio.o kbdwin.o
OBJS-$(CONFIG_AASC_DECODER)            += aasc.o msrledec.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec.o ac3dec_data.o ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc_float.o ac3enc.o ac3tab.o \
                                          ac3.o kbdwin.o
OBJS-$(CONFIG_AC3_FIXED_ENCODER)       += ac3enc_fixed.o ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o alac_data.o
OBJS-$(CONFIG_ALAC_ENCODER)            += alacenc.o alac_data.o
OBJS-$(CONFIG_ALS_DECODER)             += alsdec.o bgmc.o mpeg4audio.o
OBJS-$(CONFIG_AMRNB_DECODER)           += amrnbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMRWB_DECODER)           += amrwbdec.o celp_filters.o   \
                                          celp_math.o acelp_filters.o \
                                          acelp_vectors.o             \
                                          acelp_pitch_delay.o
OBJS-$(CONFIG_AMV_DECODER)             += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_ANM_DECODER)             += anm.o
OBJS-$(CONFIG_ANSI_DECODER)            += ansi.o cga_data.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_ASS_DECODER)             += assdec.o ass.o
OBJS-$(CONFIG_ASS_ENCODER)             += assenc.o ass.o
OBJS-$(CONFIG_ASV1_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asvdec.o asv.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asvenc.o asv.o mpeg12data.o
OBJS-$(CONFIG_ATRAC1_DECODER)          += atrac1.o atrac.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o atrac.o
OBJS-$(CONFIG_AURA_DECODER)            += cyuv.o
OBJS-$(CONFIG_AURA2_DECODER)           += aura.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BINK_DECODER)            += bink.o binkdsp.o
OBJS-$(CONFIG_BINKAUDIO_DCT_DECODER)   += binkaudio.o wma.o wma_common.o
OBJS-$(CONFIG_BINKAUDIO_RDFT_DECODER)  += binkaudio.o wma.o wma_common.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o msrledec.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_BMV_VIDEO_DECODER)       += bmv.o
OBJS-$(CONFIG_BMV_AUDIO_DECODER)       += bmv.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o \
                                          cavsdata.o mpeg12data.o
OBJS-$(CONFIG_CDGRAPHICS_DECODER)      += cdgraphics.o
OBJS-$(CONFIG_CDXL_DECODER)            += cdxl.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljr.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljr.o
OBJS-$(CONFIG_CLLC_DECODER)            += cllc.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o
OBJS-$(CONFIG_COMFORTNOISE_DECODER)    += cngdec.o celp_filters.o
OBJS-$(CONFIG_COMFORTNOISE_ENCODER)    += cngenc.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dcadec.o dca.o dcadsp.o      \
                                          dca_parser.o synth_filter.o
OBJS-$(CONFIG_DFA_DECODER)             += dfa.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o
OBJS-$(CONFIG_DPX_DECODER)             += dpx.o
OBJS-$(CONFIG_DPX_ENCODER)             += dpxenc.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DSICINVIDEO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DVBSUB_DECODER)          += dvbsubdec.o
OBJS-$(CONFIG_DVBSUB_ENCODER)          += dvbsub.o
OBJS-$(CONFIG_DVDSUB_DECODER)          += dvdsubdec.o
OBJS-$(CONFIG_DVDSUB_ENCODER)          += dvdsubenc.o
OBJS-$(CONFIG_DVVIDEO_DECODER)         += dvdec.o dv.o dvdata.o dv_profile.o
OBJS-$(CONFIG_DVVIDEO_ENCODER)         += dv.o dvdata.o dv_profile.o
OBJS-$(CONFIG_DXA_DECODER)             += dxa.o
OBJS-$(CONFIG_DXTORY_DECODER)          += dxtory.o
OBJS-$(CONFIG_EAC3_DECODER)            += eac3dec.o eac3_data.o
OBJS-$(CONFIG_EAC3_ENCODER)            += eac3enc.o eac3_data.o
OBJS-$(CONFIG_EACMV_DECODER)           += eacmv.o
OBJS-$(CONFIG_EAMAD_DECODER)           += eamad.o eaidct.o mpeg12.o \
                                          mpeg12data.o
OBJS-$(CONFIG_EATGQ_DECODER)           += eatgq.o eaidct.o
OBJS-$(CONFIG_EATGV_DECODER)           += eatgv.o
OBJS-$(CONFIG_EATQI_DECODER)           += eatqi.o eaidct.o mpeg12.o \
                                          mpeg12data.o
OBJS-$(CONFIG_EIGHTBPS_DECODER)        += 8bps.o
OBJS-$(CONFIG_EIGHTSVX_EXP_DECODER)    += 8svx.o
OBJS-$(CONFIG_EIGHTSVX_FIB_DECODER)    += 8svx.o
OBJS-$(CONFIG_ESCAPE124_DECODER)       += escape124.o
OBJS-$(CONFIG_FFV1_DECODER)            += ffv1dec.o ffv1.o
OBJS-$(CONFIG_FFV1_ENCODER)            += ffv1enc.o ffv1.o
OBJS-$(CONFIG_FFVHUFF_DECODER)         += huffyuv.o huffyuvdec.o
OBJS-$(CONFIG_FFVHUFF_ENCODER)         += huffyuv.o huffyuvenc.o
OBJS-$(CONFIG_FLAC_DECODER)            += flacdec.o flacdata.o flac.o flacdsp.o
OBJS-$(CONFIG_FLAC_ENCODER)            += flacenc.o flacdata.o flac.o flacdsp.o
OBJS-$(CONFIG_FLASHSV_DECODER)         += flashsv.o
OBJS-$(CONFIG_FLASHSV_ENCODER)         += flashsvenc.o
OBJS-$(CONFIG_FLASHSV2_DECODER)        += flashsv.o
OBJS-$(CONFIG_FLIC_DECODER)            += flicvideo.o
OBJS-$(CONFIG_FOURXM_DECODER)          += 4xm.o
OBJS-$(CONFIG_FRAPS_DECODER)           += fraps.o
OBJS-$(CONFIG_FRWU_DECODER)            += frwu.o
OBJS-$(CONFIG_G723_1_DECODER)          += g723_1.o acelp_vectors.o \
                                          celp_filters.o
OBJS-$(CONFIG_GIF_DECODER)             += gifdec.o lzw.o
OBJS-$(CONFIG_GIF_ENCODER)             += gif.o lzwenc.o
OBJS-$(CONFIG_GSM_DECODER)             += gsmdec.o gsmdec_data.o msgsmdec.o
OBJS-$(CONFIG_GSM_MS_DECODER)          += gsmdec.o gsmdec_data.o msgsmdec.o
OBJS-$(CONFIG_H261_DECODER)            += h261dec.o h261.o
OBJS-$(CONFIG_H261_ENCODER)            += h261enc.o h261.o
OBJS-$(CONFIG_H263_DECODER)            += h263dec.o h263.o ituh263dec.o        \
                                          mpeg4video.o mpeg4videodec.o flvdec.o\
                                          intelh263dec.o
OBJS-$(CONFIG_H263_VAAPI_HWACCEL)      += vaapi_mpeg4.o
OBJS-$(CONFIG_H263_ENCODER)            += mpeg4videoenc.o mpeg4video.o  \
                                          h263.o ituh263enc.o flvenc.o
OBJS-$(CONFIG_H264_DECODER)            += h264.o                               \
                                          h264_loopfilter.o h264_direct.o      \

=== gst-libs/ext/libav/libavresample/arm/Makefile ===
OBJS      += arm/audio_convert_init.o
NEON-OBJS += arm/audio_convert_neon.o

=== debian/changelog ===
gst-libav1.0 (1.2.2-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/control:
      - Build-depend on gst-plugins-base >= 1.2.2.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Dec 2013 11:06:09 +0100

## gst-libav1.0 1.2.3

=== gst-libs/ext/libav/libavresample/Makefile ===
NAME = avresample
FFLIBS = avutil

HEADERS = avresample.h                                                  \
          version.h                                                     \

OBJS = audio_convert.o                                                  \
       audio_data.o                                                     \
       audio_mix.o                                                      \
       audio_mix_matrix.o                                               \
       dither.o                                                         \
       options.o                                                        \
       resample.o                                                       \
       utils.o                                                          \

TESTPROGS = avresample

=== debian/changelog ===
gst-libav1.0 (1.2.3-1) unstable; urgency=medium

  [ Iain Lane ]
  * Drop ltmain-as-needed patch and do the same with dh_autoreconf
    --as-needed.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Feb 2014 11:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libglib2.0-dev (>= 2.32),
                pkg-config (>= 0.11.0),
                libgstreamer1.0-dev (>= 1.2.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.2.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.2.2),
                liborc-0.4-dev (>= 1:0.4.16),
                libavcodec-dev (>= 6:9~beta2),
                libavformat-dev (>= 6:9~beta2),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_AUTORECONF_ARGS += --as-needed

export AUTOPOINT=true

export DEB_BUILD_MAINT_OPTIONS=hardening=-all
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer libav Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-libav1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer libav Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-libav1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer libav Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-libav1.0"
endif


DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)

DEB_CONFIGURE_EXTRA_FLAGS += --with-system-libav \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --with-package-name=$(GST_PACKAGE_NAME) \
                             --with-package-origin=$(GST_PACKAGE_ORIGIN)

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

DEB_DH_STRIP_ARGS := --dbg-package=gstreamer1.0-libav-dbg

install/gst-libav1.0::
	rm -f debian/gstreamer1.0-libav/usr/lib/*/gstreamer-1.0/libgst*.la
	rm -f debian/gstreamer1.0-libav/usr/lib/*/gstreamer-1.0/libgst*.a

common-binary-fixup-arch::
	dh_gstscancodecs

## gst-libav1.0 1.2.4

=== gst-libs/ext/libav/libswscale/bfin/Makefile ===
OBJS +=  bfin/internal_bfin.o                                           \
         bfin/swscale_bfin.o                                            \
         bfin/yuv2rgb_bfin.o                                            \

=== gst-libs/ext/libav/libswscale/ppc/Makefile ===
ALTIVEC-OBJS +=  ppc/swscale_altivec.o                                  \
                 ppc/yuv2rgb_altivec.o                                  \
                 ppc/yuv2yuv_altivec.o                                  \

=== debian/changelog ===
gst-libav1.0 (1.2.4-1~ubuntu1) trusty; urgency=medium

  * SRU upstream bugfix update to Trusty (LP: #1312305)
  * Fixes crashes / problems seeking in some videos (LP: #1290368)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Apr 2014 17:48:57 +0100

gst-libav1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + Fixes crash when seeking in h264 videos (Closes: #739579).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Apr 2014 15:53:44 +0200

=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-(.*)\.tar\.gz

## gst-libav1.0 1.4.3

=== debian/changelog ===
gst-libav1.0 (1.4.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Sep 2014 12:18:54 +0300

gst-libav1.0 (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Sep 2014 14:52:42 +0300

gst-libav1.0 (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's consent
  * Fix compilation against liba11

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Aug 2014 16:25:21 -0400

gst-libav1.0 (1.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 14:55:16 +0300

gst-libav1.0 (1.4.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jul 2014 17:52:31 +0200

gst-libav1.0 (1.3.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Jul 2014 11:46:38 +0200

gst-libav1.0 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Jun 2014 12:21:23 +0200

gst-libav1.0 (1.3.3-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Jun 2014 19:25:04 +0200

gst-libav1.0 (1.3.2-1) unstable; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2014 13:05:07 +0200

gst-libav1.0 (1.3.1-2) unstable; urgency=medium

  * debian/patches/03_gst-1.2.patch:
    + Make it build with GStreamer 1.2.4 and upload to unstable
      to allow the libav10 transition to finish.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 May 2014 09:44:06 +0200

gst-libav1.0 (1.3.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/control:
      - Build-depend on GStreamer core and base >= 1.3.1.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 May 2014 19:47:21 +0200

gst-libav1.0 (1.2.4-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch, build against libav10 (Closes: #739322)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Apr 2014 10:55:03 -0400

## gst-libav1.0 1.4.4

=== debian/changelog ===
gst-libav1.0 (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2014 13:40:42 +0100

gst-libav1.0 (1.4.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Nov 2014 13:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,12 @@
                zlib1g-dev,
                libglib2.0-dev (>= 2.32),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.2.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.2.2),
+               libgstreamer1.0-dev (>= 1.4.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
                liborc-0.4-dev (>= 1:0.4.16),
-               libavcodec-dev (>= 6:9~beta2),
-               libavformat-dev (>= 6:9~beta2),
-               libswscale-dev (>= 6:9~beta2),
+               libavcodec-dev (>= 6:11~),
+               libavformat-dev (>= 6:11~),
+               libswscale-dev (>= 6:11~),
                libbz2-dev,
                yasm
 Standards-Version: 3.9.3

## gst-libav1.0 1.4.5

=== debian/changelog ===
gst-libav1.0 (1.4.5-3) unstable; urgency=medium

  * debian/control:
    + Build-depend on libavresample-dev (Closes: #790356). It's not really
      needed but let's just wait until the 1.5.4 release which has this fixed
      up properly and also improves ffmpeg compatibility.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 20 Jul 2015 21:25:56 +0300

gst-libav1.0 (1.4.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 12:29:21 +0300

gst-libav1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                liborc-0.4-dev (>= 1:0.4.16),
                libavcodec-dev (>= 6:11~),
                libavformat-dev (>= 6:11~),
+               libavresample-dev (>= 6:11~),
                libswscale-dev (>= 6:11~),
                libbz2-dev,
                yasm

## gst-libav1.0 1.5.2

=== gst-libs/ext/libav/doc/Makefile ===
ALLMANPAGES = $(AVBASENAMES:%=%.1)
MANPAGES    = $(AVPROGS-yes:%=doc/%.1)
PODPAGES    = $(AVPROGS-yes:%=doc/%.pod)
HTMLPAGES   = $(AVPROGS-yes:%=doc/%.html)                               \
              doc/developer.html                                        \
              doc/faq.html                                              \
              doc/fate.html                                             \
              doc/general.html                                          \
              doc/git-howto.html                                        \
              doc/libavfilter.html                                      \
              doc/nut.html                                              \
              doc/platform.html                                         \

DOCS-$(CONFIG_POD2MAN)                          += $(MANPAGES) $(PODPAGES)
DOCS-$(CONFIG_TEXI2HTML)                        += $(HTMLPAGES)
DOCS = $(DOCS-yes)

DOC_EXAMPLES-$(CONFIG_AVCODEC_EXAMPLE)          += avcodec
DOC_EXAMPLES-$(CONFIG_FILTER_AUDIO_EXAMPLE)     += filter_audio
DOC_EXAMPLES-$(CONFIG_METADATA_EXAMPLE)         += metadata
DOC_EXAMPLES-$(CONFIG_OUTPUT_EXAMPLE)           += output
DOC_EXAMPLES-$(CONFIG_TRANSCODE_AAC_EXAMPLE)    += transcode_aac
ALL_DOC_EXAMPLES = avcodec filter_audio metadata output transcode_aac

DOC_EXAMPLES     := $(DOC_EXAMPLES-yes:%=doc/examples/%$(EXESUF))
ALL_DOC_EXAMPLES := $(ALL_DOC_EXAMPLES:%=doc/examples/%$(EXESUF))
PROGS            += $(DOC_EXAMPLES)

all: $(DOCS)

apidoc: doc/doxy/html
documentation: $(DOCS)

examples: $(DOC_EXAMPLES)

TEXIDEP = awk '/^@include/ { printf "$@: $(@D)/%s\n", $$2 }' <$< >$(@:%=%.d)

GENTEXI  = format codec
GENTEXI := $(GENTEXI:%=doc/avoptions_%.texi)

$(GENTEXI): TAG = GENTEXI
$(GENTEXI): doc/avoptions_%.texi: doc/print_options$(HOSTEXESUF)
	$(M)doc/print_options $* > $@

doc/%.html: TAG = HTML
doc/%.html: doc/%.texi $(SRC_PATH)/doc/t2h.init $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)texi2html -I doc -monolithic --init-file $(SRC_PATH)/doc/t2h.init --output $@ $<

doc/%.pod: TAG = POD
doc/%.pod: doc/%.texi $(SRC_PATH)/doc/texi2pod.pl $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)$(SRC_PATH)/doc/texi2pod.pl -Idoc $< $@

doc/%.1: TAG = MAN
doc/%.1: doc/%.pod $(GENTEXI)
	$(M)pod2man --section=1 --center=" " --release=" " $< > $@

$(DOCS) doc/doxy/html: | doc/
$(DOC_EXAMPLES:%$(EXESUF)=%.o): | doc/examples
OBJDIRS += doc/examples

DOXY_INPUT      = $(addprefix $(SRC_PATH)/, $(INSTHEADERS) $(DOC_EXAMPLES:%$(EXESUF)=%.c) $(LIB_EXAMPLES:%$(EXESUF)=%.c))
DOXY_TEMPLATES  = doxy_stylesheet.css footer.html header.html
DOXY_TEMPLATES := $(addprefix $(SRC_PATH)/doc/doxy/, $(DOXY_TEMPLATES))

doc/doxy/html: $(SRC_PATH)/doc/Doxyfile $(DOXY_INPUT) $(DOXY_TEMPLATES)
	$(M)$(SRC_PATH)/doc/doxy-wrapper.sh $(SRC_PATH) $< $(DOXY_INPUT)

install-progs-$(CONFIG_POD2MAN): install-man
install-progs-$(CONFIG_TEXI2HTML): install-doc

install-doc: $(HTMLPAGES)
	$(Q)mkdir -p "$(DOCDIR)"
	$(INSTALL) -m 644 $(HTMLPAGES) "$(DOCDIR)"

install-man: $(MANPAGES)
	$(Q)mkdir -p "$(MANDIR)/man1"
	$(INSTALL) -m 644 $(MANPAGES) "$(MANDIR)/man1"

uninstall: uninstall-doc uninstall-man

uninstall-doc:
	$(RM) -r "$(DOCDIR)"

uninstall-man:
	$(RM) $(addprefix "$(MANDIR)/man1/",$(ALLMANPAGES))

clean::
	$(RM) $(ALL_DOC_EXAMPLES)
	$(RM) $(CLEANSUFFIXES:%=doc/%) $(CLEANSUFFIXES:%=doc/examples/%)
	$(RM) doc/*.html doc/*.pod doc/*.1 doc/avoptions_*.texi
	$(RM) -r doc/doxy/html

-include $(wildcard $(DOCS:%=%.d))

.PHONY: apidoc documentation

=== gst-libs/ext/libav/libswscale/Makefile ===
NAME = swscale

HEADERS = swscale.h                                                     \
          version.h                                                     \

OBJS = input.o                                          \
       options.o                                        \
       output.o                                         \
       rgb2rgb.o                                        \
       swscale.o                                        \
       swscale_unscaled.o                               \
       utils.o                                          \
       yuv2rgb.o                                        \

TESTPROGS = colorspace                                                  \
            swscale                                                     \

=== gst-libs/ext/libav/tests/Makefile ===
THREADS = 1
VREF = tests/vsynth1/00.pgm
AREF = tests/data/asynth1.sw

OBJDIRS += tests/data tests/vsynth1 tests/data/filtergraphs

$(VREF): tests/videogen$(HOSTEXESUF) | tests/vsynth1
	$(M)./$< 'tests/vsynth1/'

$(AREF): tests/audiogen$(HOSTEXESUF) | tests/data
	$(M)./$< $@

tests/data/asynth-%.wav: tests/audiogen$(HOSTEXESUF) | tests/data
	$(M)./$< $@ $(subst -, ,$*)

tests/data/vsynth1.yuv: tests/videogen$(HOSTEXESUF) | tests/data
	$(M)$< $@

tests/data/vsynth2.yuv: tests/rotozoom$(HOSTEXESUF) | tests/data
	$(M)$< $(SRC_PATH)/tests/reference.pnm $@

tests/data/asynth% tests/data/vsynth%.yuv tests/vsynth%/00.pgm: TAG = GEN

tests/data/filtergraphs/%: TAG = COPY
tests/data/filtergraphs/%: $(SRC_PATH)/tests/filtergraphs/% | tests/data/filtergraphs
	$(M)cp $< $@

RUNNING_FATE := $(filter check fate%,$(filter-out fate-rsync,$(MAKECMDGOALS)))

# Check sanity of dependencies when running FATE tests.
ifneq (,$(RUNNING_FATE))
CHKCFG  = $(if $($(1))$(!$(1)),$($(1)), $(error No such config: $(1)))
endif

ALLYES  = $(strip $(call XYES, $(1)))
XYES    = $(if $(strip $(1)),                                           \
               $(if $(call CHKCFG,CONFIG_$(firstword $(1))),            \
                    $(call XYES, $(wordlist 2, $(words $(1)), $(1)))),  \
               yes)

ENCDEC  = $(call ALLYES, $(firstword $(1))_ENCODER $(lastword $(1))_DECODER  \
                         $(firstword $(2))_MUXER   $(lastword $(2))_DEMUXER)

ENCDEC2 = $(call ALLYES, $(firstword $(1))_ENCODER $(lastword $(1))_DECODER  \
                         $(firstword $(2))_ENCODER $(lastword $(2))_DECODER  \
                         $(firstword $(3))_MUXER   $(lastword $(3))_DEMUXER)

DEMDEC  = $(call ALLYES, $(1)_DEMUXER $(2:%=%_DECODER))
ENCMUX  = $(call ALLYES, $(1:%=%_ENCODER) $(2)_MUXER)

DEMMUX  = $(call ALLYES, $(1)_DEMUXER $(2)_MUXER)

FILTERDEMDEC       = $(call ALLYES, $(1:%=%_FILTER) $(2)_DEMUXER $(3)_DECODER)
FILTERDEMDECMUX    = $(call ALLYES, $(1:%=%_FILTER) $(2)_DEMUXER $(3)_DECODER $(4)_MUXER)
FILTERDEMDECENCMUX = $(call ALLYES, $(1:%=%_FILTER) $(2)_DEMUXER $(3)_DECODER $(4)_ENCODER $(5)_MUXER)

PARSERDEMDEC       = $(call ALLYES, $(1)_PARSER $(2)_DEMUXER $(3)_DECODER)

include $(SRC_PATH)/tests/fate/acodec.mak
include $(SRC_PATH)/tests/fate/vcodec.mak
include $(SRC_PATH)/tests/fate/avformat.mak
include $(SRC_PATH)/tests/fate/seek.mak

include $(SRC_PATH)/tests/fate/aac.mak
include $(SRC_PATH)/tests/fate/ac3.mak
include $(SRC_PATH)/tests/fate/adpcm.mak
include $(SRC_PATH)/tests/fate/alac.mak
include $(SRC_PATH)/tests/fate/als.mak
include $(SRC_PATH)/tests/fate/amrnb.mak
include $(SRC_PATH)/tests/fate/amrwb.mak
include $(SRC_PATH)/tests/fate/atrac.mak
include $(SRC_PATH)/tests/fate/audio.mak
include $(SRC_PATH)/tests/fate/bmp.mak
include $(SRC_PATH)/tests/fate/cdxl.mak
include $(SRC_PATH)/tests/fate/cover-art.mak
include $(SRC_PATH)/tests/fate/demux.mak
include $(SRC_PATH)/tests/fate/dfa.mak
include $(SRC_PATH)/tests/fate/dpcm.mak
include $(SRC_PATH)/tests/fate/ea.mak
include $(SRC_PATH)/tests/fate/filter-audio.mak
include $(SRC_PATH)/tests/fate/filter-video.mak
include $(SRC_PATH)/tests/fate/flac.mak
include $(SRC_PATH)/tests/fate/fft.mak
include $(SRC_PATH)/tests/fate/h264.mak
include $(SRC_PATH)/tests/fate/hevc.mak
include $(SRC_PATH)/tests/fate/image.mak
include $(SRC_PATH)/tests/fate/indeo.mak
include $(SRC_PATH)/tests/fate/libavcodec.mak
include $(SRC_PATH)/tests/fate/libavdevice.mak
include $(SRC_PATH)/tests/fate/libavformat.mak
include $(SRC_PATH)/tests/fate/libavresample.mak
include $(SRC_PATH)/tests/fate/libavutil.mak
include $(SRC_PATH)/tests/fate/lossless-audio.mak
include $(SRC_PATH)/tests/fate/lossless-video.mak
include $(SRC_PATH)/tests/fate/microsoft.mak
include $(SRC_PATH)/tests/fate/monkeysaudio.mak
include $(SRC_PATH)/tests/fate/mp3.mak
include $(SRC_PATH)/tests/fate/mpc.mak
include $(SRC_PATH)/tests/fate/opus.mak
include $(SRC_PATH)/tests/fate/pcm.mak
include $(SRC_PATH)/tests/fate/probe.mak
include $(SRC_PATH)/tests/fate/prores.mak
include $(SRC_PATH)/tests/fate/qt.mak
include $(SRC_PATH)/tests/fate/qtrle.mak
include $(SRC_PATH)/tests/fate/real.mak
include $(SRC_PATH)/tests/fate/screen.mak
include $(SRC_PATH)/tests/fate/utvideo.mak
include $(SRC_PATH)/tests/fate/video.mak
include $(SRC_PATH)/tests/fate/voice.mak
include $(SRC_PATH)/tests/fate/vorbis.mak
include $(SRC_PATH)/tests/fate/vpx.mak
include $(SRC_PATH)/tests/fate/vqf.mak
include $(SRC_PATH)/tests/fate/wavpack.mak
include $(SRC_PATH)/tests/fate/wma.mak
include $(SRC_PATH)/tests/fate/xvid.mak

FATE_AVCONV += $(FATE_AVCONV-yes)
FATE-$(CONFIG_AVCONV) += $(FATE_AVCONV)

FATE_SAMPLES_AVCONV           += $(FATE_SAMPLES_AVCONV-yes)
FATE_SAMPLES-$(CONFIG_AVCONV) += $(FATE_SAMPLES_AVCONV)
FATE_SAMPLES += $(FATE_SAMPLES-yes)

FATE += $(FATE-yes)

$(FATE_AVCONV) $(FATE_SAMPLES_AVCONV): avconv$(EXESUF)

ifdef SAMPLES
FATE += $(FATE_SAMPLES)
fate-rsync:
	rsync -vaLW rsync://fate-suite.libav.org/fate-suite-11/ $(SAMPLES)
else
fate-rsync:
	@echo "use 'make fate-rsync SAMPLES=/path/to/samples' to sync the fate suite"
$(FATE_SAMPLES):
	@echo "$@ requires external samples and SAMPLES not specified"; false
endif

FATE_UTILS = base64 tiny_psnr

fate: $(FATE)

$(FATE): $(FATE_UTILS:%=tests/%$(HOSTEXESUF))
	@echo "TEST    $(@:fate-%=%)"
	$(Q)$(SRC_PATH)/tests/fate-run.sh $@ "$(SAMPLES)" "$(TARGET_EXEC)" "$(TARGET_PATH)" '$(CMD)' '$(CMP)' '$(REF)' '$(FUZZ)' '$(THREADS)' '$(THREAD_TYPE)' '$(CPUFLAGS)' '$(CMP_SHIFT)' '$(CMP_TARGET)' '$(SIZE_TOLERANCE)' '$(CMP_UNIT)' '$(GEN)'

fate-list:
	@printf '%s\n' $(sort $(FATE))

coverage.info: TAG = LCOV
coverage.info:
	$(M)lcov -q -d $(CURDIR) -b $(SRC_PATH) --capture | \
	    sed "s,$(CURDIR)/\./,$(CURDIR)/," > $@
	$(M)lcov -q --remove $@ "/usr/include*" -o $@

lcov:  TAG = GENHTML
lcov: coverage.info
	$(M)genhtml -q -o $(CURDIR)/lcov $<

lcov-reset: TAG = LCOV
lcov-reset:
	$(M)lcov -d $(CURDIR) --zerocounters
	$(Q)$(RM) -f coverage.info

clean:: testclean

testclean:
	$(RM) -r tests/vsynth1 tests/data
	$(RM) $(CLEANSUFFIXES:%=tests/%)
	$(RM) $(TESTTOOLS:%=tests/%$(HOSTEXESUF))
	$(RM) tests/pixfmts.mak

-include $(wildcard tests/*.d)

.PHONY: fate* lcov lcov-reset
.INTERMEDIATE: coverage.info

## gst-libav1.0 1.5.90

=== debian/changelog ===
gst-libav1.0 (1.5.90-2) experimental; urgency=medium

  * debian/control: Add a Build-Dep on libswscale-dev - this is needed when
    building with system ffmpeg, as we do.

 -- Iain Lane <laney@debian.org>  Fri, 04 Sep 2015 17:54:25 +0100

gst-libav1.0 (1.5.90-1) experimental; urgency=medium

  [ Iain Lane ]
  * debian/watch: Fix watch file for current URL scheme

  [ Sebastian Dröge ]
  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2015 14:08:29 +0300

gst-libav1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 23:39:06 +0200

gst-libav1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 11:15:53 +0200

gst-libav1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 13:30:01 +0300

gst-libav1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Mar 2015 10:03:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,22 @@
                dpkg-dev (>= 1.16.1~),
                autotools-dev,
                dh-autoreconf,
-               autoconf (>= 2.62),
-               automake (>= 1.11),
+               autoconf (>= 2.69),
+               automake (>= 1.14),
                libtool (>= 2.2.6),
                autopoint (>= 0.17),
                gtk-doc-tools (>= 1.12),
                zlib1g-dev,
+               liblzma-dev,
                libglib2.0-dev (>= 2.32),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.4.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
+               libgstreamer1.0-dev (>= 1.5.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.5.90),
                liborc-0.4-dev (>= 1:0.4.16),
-               libavcodec-dev (>= 6:11~),
-               libavformat-dev (>= 6:11~),
-               libavresample-dev (>= 6:11~),
-               libswscale-dev (>= 6:11~),
+               libavutil-dev (>= 7:2.7),
+               libavcodec-dev (>= 7:2.7),
+               libavformat-dev (>= 7:2.7),
+               libswscale-dev (>= 7:2.7),
                libbz2-dev,
                yasm
 Standards-Version: 3.9.3

## gst-libav1.0 1.5.91

=== debian/changelog ===
gst-libav1.0 (1.5.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Sep 2015 20:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.32),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.5.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.5.90),
+               libgstreamer1.0-dev (>= 1.5.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.5.91),
                liborc-0.4-dev (>= 1:0.4.16),
                libavutil-dev (>= 7:2.7),
                libavcodec-dev (>= 7:2.7),

## gst-libav1.0 1.6.0

=== debian/changelog ===
gst-libav1.0 (1.6.0-2) unstable; urgency=medium

  * debian/patches/0001-avviddec-fix-memory-leak.patch,
    debian/patches/0002-avviddec-only-free-config-when-pool-doesn-t-take-own.patch:
    + Fix some memory leaks.
  * debian/patches/0005-avvidenc-Pass-the-correct-user_data-to-gst_buffer_ne.patch,
    debian/patches/0006-avcodecmap-Don-t-allocate-dummy-codec-data-anymore-i.patch:
    + Fix crashes in the video encoders (Closes: #800779).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Oct 2015 13:06:32 +0300

gst-libav1.0 (1.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 23:09:06 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                liblzma-dev,
                libglib2.0-dev (>= 2.32),
                pkg-config (>= 0.11.0),
-               libgstreamer1.0-dev (>= 1.5.91),
-               libgstreamer-plugins-base1.0-dev (>= 1.5.91),
+               libgstreamer1.0-dev (>= 1.6.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.6.0),
                liborc-0.4-dev (>= 1:0.4.16),
                libavutil-dev (>= 7:2.7),
                libavcodec-dev (>= 7:2.7),
